| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
cv::detail::OCVSetupHelper< Impl, std::tuple< Ins... > > Struct Template Reference

`#include <opencv2/gapi/cpu/gcpukernel.hpp>`

Collaboration diagram for cv::detail::OCVSetupHelper< Impl, std::tuple< Ins... > >:

## Static Public Member Functions
static void | setup (const GMetaArgs &metaArgs, const GArgs &args, GArg &state, const GCompileArgs &compileArgs)
template<int... IIs>
static auto | setup_impl (const GMetaArgs &metaArgs, const GArgs &args, GArg &state, const GCompileArgs &, detail::Seq< IIs... >) -> decltype(Impl::setup(detail::get_in_meta< Ins >(metaArgs, args, IIs)..., std::declval< typename std::add_lvalue_reference< std::shared_ptr< typename Impl::State > >::type >()), void())
template<int... IIs>
static auto | setup_impl (const GMetaArgs &metaArgs, const GArgs &args, GArg &state, const GCompileArgs &compileArgs, detail::Seq< IIs... >) -> decltype(Impl::setup(detail::get_in_meta< Ins >(metaArgs, args, IIs)..., std::declval< typename std::add_lvalue_reference< std::shared_ptr< typename Impl::State > >::type >(), compileArgs), void())

## Member Function Documentation

## ◆ setup()

template<typename Impl , typename... Ins>

static void cv::detail::OCVSetupHelper< Impl, std::tuple< Ins... > >::setup | ( | const GMetaArgs & | metaArgs,
|  | const GArgs & | args,
|  | GArg & | state,
|  | const GCompileArgs & | compileArgs )
| inline static

## ◆ setup_impl() [1/2]

template<typename Impl , typename... Ins>
template<int... IIs>

static auto cv::detail::OCVSetupHelper< Impl, std::tuple< Ins... > >::setup_impl | ( | const GMetaArgs & | metaArgs,
|  | const GArgs & | args,
|  | GArg & | state,
|  | const GCompileArgs & | ,
|  | detail::Seq< IIs... > | ) -> decltype(Impl::setup(detail::get_in_meta<Ins>(metaArgs, args, IIs)..., std::declval<typename std::add_lvalue_reference< std::shared_ptr<typename Impl::State> >::type >() ) , void())
| inline static

Here is the call graph for this function:

## ◆ setup_impl() [2/2]

template<typename Impl , typename... Ins>
template<int... IIs>

static auto cv::detail::OCVSetupHelper< Impl, std::tuple< Ins... > >::setup_impl | ( | const GMetaArgs & | metaArgs,
|  | const GArgs & | args,
|  | GArg & | state,
|  | const GCompileArgs & | compileArgs,
|  | detail::Seq< IIs... > | ) -> decltype(Impl::setup(detail::get_in_meta<Ins>(metaArgs, args, IIs)..., std::declval<typename std::add_lvalue_reference< std::shared_ptr<typename Impl::State> >::type >(), compileArgs) , void())
| inline static

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- opencv2/gapi/cpu/gcpukernel.hpp